Package org.eclipse.lemminx.extensions.contentmodel.model

## Class ContentModelProvider.Identifier

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.model.ContentModelProvider.Identifier

Enclosing interface:
  ContentModelProvider

    public static class ContentModelProvider.Identifier
    extends Object

### Constructor Summary

Constructors
`Identifier​(String publicId, String systemId, DOMRange range, String kind)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKind()`
`String` `getPublicId()`
`DOMRange` `getRange()`
`String` `getSystemId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Identifier

    public Identifier​(String publicId,
                      String systemId,
                      DOMRange range,
                      String kind)

### Method Detail

#### getPublicId

    public String getPublicId()

#### getSystemId

    public String getSystemId()

#### getRange

    public DOMRange getRange()

#### getKind

    public String getKind()